<?
/**
 * VoiceOne Webservices Declarations
 *   
 * @package voiceone_webservices
 * @subpackage Rule
 */
// ---- Rule -------------------------------------------------------------------
$server->wsdl->addComplexType(
    'Rule',
    'complexType',
    'struct',
    'all',
    '',
    array(
        'id'          => array('name'=>'id',          'type'=>'xsd:int'),
        'name'        => array('name'=>'name',        'type'=>'xsd:string'),
        'type'        => array('name'=>'type',        'type'=>'xsd:int'),
        'description' => array('name'=>'description', 'type'=>'xsd:string'),
        'outgoing'    => array('name'=>'outgoing',    'type'=>'tns:OutgoingRuleArray'),
        'incoming'    => array('name'=>'incoming',    'type'=>'tns:IncomingRuleArray'),
        'jump'        => array('name'=>'jump',        'type'=>'tns:RulesetJumpArray'),
        'message_on_deny' => array('name'=>'message_on_deny', 'type'=>'xsd:int')
    )
);
// ---- Rule[] -----------------------------------------------------------------
$server->wsdl->addComplexType(
    'RuleArray',
    'complexType',
    'array',
    '',
    'SOAP-ENC:Array',
    array(),
    array(
        array('ref'=>'SOAP-ENC:arrayType','wsdl:arrayType'=>'tns:Rule[]')
    ),
    'tns:Rule'
);
// ---- OutgoingRule -----------------------------------------------------------
$server->wsdl->addComplexType(
    'OutgoingRule',
    'complexType',
    'struct',
    'all',
    '',
    array(
        'id'          => array('name'=>'id',          'type'=>'xsd:int'),
        'rule'        => array('name'=>'rule',        'type'=>'xsd:int'),
        'priority'    => array('name'=>'priority',    'type'=>'xsd:int'),
        'timesegment' => array('name'=>'timesegment', 'type'=>'xsd:int'),
        'group'       => array('name'=>'group',       'type'=>'xsd:int'),
        'entity'      => array('name'=>'entity',      'type'=>'xsd:int'),
        'resource'    => array('name'=>'resource',    'type'=>'xsd:string'),
        'provider'    => array('name'=>'provider',    'type'=>'xsd:int'),
        'action'      => array('name'=>'action',      'type'=>'xsd:int'),
        'failover'    => array('name'=>'failover',    'type'=>'xsd:int'),
        'variables'   => array('name'=>'variables',   'type'=>'xsd:string')
    )
);
// ---- OutgoingRule[] ---------------------------------------------------------
$server->wsdl->addComplexType(
    'OutgoingRuleArray',
    'complexType',
    'array',
    '',
    'SOAP-ENC:Array',
    array(),
    array(
        array('ref'=>'SOAP-ENC:arrayType','wsdl:arrayType'=>'tns:OutgoingRule[]')
    ),
    'tns:OutgoingRule'
);
// ---- IncomingRule -----------------------------------------------------------
$server->wsdl->addComplexType(
    'IncomingRule',
    'complexType',
    'struct',
    'all',
    '',
    array(
        'id'          => array('name'=>'id',           'type'=>'xsd:int'),
        'rule'        => array('name'=>'rule',         'type'=>'xsd:int'),
        'priority'    => array('name'=>'priority',     'type'=>'xsd:int'),
        'timesegment' => array('name'=>'timesegment',  'type'=>'xsd:int'),
        'callertype'  => array('name'=>'callertype',   'type'=>'xsd:string'),
        'callerid'    => array('name'=>'callerid',     'type'=>'xsd:string'),
        'from_channel' => array('name'=>'from_channel','type'=>'xsd:int'),
        'from_number' => array('name'=>'from_number',  'type'=>'tns:stringArray'),
        'macro'       => array('name'=>'macro',        'type'=>'xsd:int'),
        'parameter'   => array('name'=>'parameter',    'type'=>'xsd:string'),
        'duration'    => array('name'=>'duration',     'type'=>'xsd:int')
    )
);
// ---- IncomingRule[] ---------------------------------------------------------
$server->wsdl->addComplexType(
    'IncomingRuleArray',
    'complexType',
    'array',
    '',
    'SOAP-ENC:Array',
    array(),
    array(
        array('ref'=>'SOAP-ENC:arrayType','wsdl:arrayType'=>'tns:IncomingRule[]')
    ),
    'tns:IncomingRule'
);
// ---- RulesetJump ------------------------------------------------------------
$server->wsdl->addComplexType(
    'RulesetJump',
    'complexType',
    'struct',
    'all',
    '',
    array(
        'id'           => array('name'=>'id',           'type'=>'xsd:int'),
        'ruleset_to'   => array('name'=>'ruleset_to',   'type'=>'xsd:int'),
        'end_of_life'  => array('name'=>'end_of_life',  'type'=>'xsd:string')
    )
);
// ---- RulesetJump[] ----------------------------------------------------------
$server->wsdl->addComplexType(
    'RulesetJumpArray',
    'complexType',
    'array',
    '',
    'SOAP-ENC:Array',
    array(),
    array(
        array('ref'=>'SOAP-ENC:arrayType','wsdl:arrayType'=>'tns:RulesetJump[]')
    ),
    'tns:RulesetJump'
);
?>
